%define gstapi	1.0

Name:		audio-recorder
Version:	1.9.7
Release:	%mkrel 1
Summary:	Audio recorder application for the GNOME 3
License:	GPLv3+
Group:		Sound/Utilities
URL:		https://launchpad.net/audio-recorder
Source0:	https://launchpad.net/%{name}/trunk/version%{version}/+download/%{name}_%{version}.tar.gz
Patch0:		audio-recorder-correct-desktop-menu.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(appindicator3-0.1)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(dconf)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-%{gstapi})
BuildRequires:	pkgconfig(gstreamer-pbutils-%{gstapi})
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libpulse)

Requires:	gstreamer%{gstapi}-plugins-bad
Requires:	gstreamer%{gstapi}-plugins-base
Requires:	gstreamer%{gstapi}-plugins-good
Recommends:	gstreamer%{gstapi}-plugins-ugly

%description
Audio-recorder allows you to record your favourite music or audio to
a file. It can record audio from your system's soundcard,
microphones, browsers, webcams & more. Put simply: if it plays out of
your loudspeakers you can record it.


%prep
%setup -q -n trunk
%autopatch -p1

%build
%configure2_5x
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/*/%{name}*.svg
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_mandir}/man1/%{name}.1.*


%changelog
* Fri Feb 17 2017 daviddavid <daviddavid> 1.9.7-1.mga6
+ Revision: 1086619
- new version: 1.9.7

* Mon Feb 13 2017 daviddavid <daviddavid> 1.9.5-1.mga6
+ Revision: 1085990
- new version: 1.9.5

* Sat Jan 21 2017 daviddavid <daviddavid> 1.9.3-1.mga6
+ Revision: 1082609
- new version: 1.9.3
- remove merged upstream gtk-3.16 patch

* Sat Feb 13 2016 umeabot <umeabot> 1.6-3.mga6
+ Revision: 959545
- Mageia 6 Mass Rebuild

* Sun Aug 09 2015 daviddavid <daviddavid> 1.6-2.mga6
+ Revision: 862273
- add upstream patch to fix GTK+ 3.16 or higher compatibility
  * audio-recorder-gtk-3.16.patch
  * http://bazaar.launchpad.net/~audio-recorder/audio-recorder/trunk/revision/498

* Sun Jun 21 2015 daviddavid <daviddavid> 1.6-1.mga6
+ Revision: 838275
- new version: 1.6-2
- add BuildRequires appindicator3-0.1 and gstreamer-pbutils-1.0

* Wed Oct 15 2014 umeabot <umeabot> 1.4-3.mga5
+ Revision: 744383
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-2.mga5
+ Revision: 678043
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Jul 11 2014 daviddavid <daviddavid> 1.4-1.mga5
+ Revision: 651347
- imported package audio-recorder

